FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 05-25-2011, 07:01 PM
Mick
 
Default e17 fails to build from svn

On Wednesday 18 May 2011 21:51:25 Mick wrote:
> On Wednesday 18 May 2011 21:31:54 Alan McKinnon wrote:
> > Apparently, though unproven, at 21:34 on Tuesday 17 May 2011, Mick did
> > opine
> >
> > thusly:
> > > Anyway, tonight it failed right on the first package:
> > > ====================================
> > >
> > > >>> Emerging (1 of 10) dev-libs/eina-9999 from enlightenment
> >
> > [snip]
> >
> > > ../../src/include/eina_binbuf.h:209: note: previous declaration of
> > > 'eina_binbuf_length_get' was here
> > > eina_amalgamation.c:17936: error: redefinition of '__STRBUF_MAGIC_STR'
> > > eina_amalgamation.c:1222: note: previous definition of
> > > '__STRBUF_MAGIC_STR' was here
> >
> > FYI, this is fixed in svn now

I wonder if I can start using the 1.0.0 versions of enlightenment packages
yet, or am I supposed to continue using everything from svn and not mix them?

--
Regards,
Mick
 
Old 05-25-2011, 08:16 PM
Alan McKinnon
 
Default e17 fails to build from svn

Apparently, though unproven, at 21:01 on Wednesday 25 May 2011, Mick did opine
thusly:

> On Wednesday 18 May 2011 21:51:25 Mick wrote:
> > On Wednesday 18 May 2011 21:31:54 Alan McKinnon wrote:
> > > Apparently, though unproven, at 21:34 on Tuesday 17 May 2011, Mick did
> > > opine
> > >
> > > thusly:
> > > > Anyway, tonight it failed right on the first package:
> > > > ====================================
> > > >
> > > > >>> Emerging (1 of 10) dev-libs/eina-9999 from enlightenment
> > >
> > > [snip]
> > >
> > > > ../../src/include/eina_binbuf.h:209: note: previous declaration of
> > > > 'eina_binbuf_length_get' was here
> > > > eina_amalgamation.c:17936: error: redefinition of
> > > > '__STRBUF_MAGIC_STR' eina_amalgamation.c:1222: note: previous
> > > > definition of
> > > > '__STRBUF_MAGIC_STR' was here
> > >
> > > FYI, this is fixed in svn now
>
> I wonder if I can start using the 1.0.0 versions of enlightenment packages
> yet, or am I supposed to continue using everything from svn and not mix
> them?


I tried pegging my system at the 1.0.0 libs that are available, that didn't
work too well.

The wm (e17 itself) is not released yet so unless you keep it at a snapshot
made at the time of the 1.0.0 release you quickly encounter build failures.
Same with the various apps in svn and all the third-party modules.

Seems like the releases were meant to be a (mostly) feature-complete snapshot
that devs could use to test and evaluate and write apps for. Real world
dictates that if you like to stay current you should either limit yourself to
only those things released already, or keep everything at -9999

--
alan dot mckinnon at gmail dot com
 

Thread Tools




All times are GMT. The time now is 09:48 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org